%define		_requires_exceptions pear(test_setup.php)\\|pear(PHPUnit.php)
%define		_class		MDB2
%define		_subclass	Schema
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear



Name:		php-pear-%{upstream_name}
Version:	0.8.5
Release:	%mkrel 4
Summary:	XML based database schema manager
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/MDB2_Schema/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.7.0
Requires:	php-pear-MDB2 >= 2.5.0b1
Requires:	php-pear-XML_Parser >= 1.2.8
BuildArch:	noarch


%description
PEAR::MDB2_Schema enables users to maintain RDBMS independant schema
files in XML that can be used to create, alter and drop database entities
and insert data into a database. Reverse engineering database schemas from
existing databases is also supported. The format is compatible with both
PEAR::MDB and Metabase.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/MDB2_Schema.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/MDB2_Schema.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/MDB2_Schema
fi

%files
%doc docs/MDB2_Schema/*
%{peardir}/*
%{_bindir}/mdb2_schematool
 /var/www/html/*
%{xmldir}/MDB2_Schema.xml


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.8.5-4.mga4
+ Revision: 528199
- Mageia 4 Mass Rebuild

* Sun Jun 16 2013 spuhler <spuhler> 0.8.5-3.mga4
+ Revision: 443736
- added more to %%define _requires_exceptions

* Sun Jun 16 2013 spuhler <spuhler> 0.8.5-2.mga4
+ Revision: 443566
- added %%define _requires_exceptions

* Sun Jun 16 2013 spuhler <spuhler> 0.8.5-1.mga4
+ Revision: 443542
- upgrade to version 0.8.5
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.7.2-7.mga3
+ Revision: 376814
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 0.7.2-6.mga1
+ Revision: 47520
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-MDB2_Schema


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-6mdv2011.0
+ Revision: 613700
- the mass rebuild of 2010.1 packages

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.2-5mdv2010.1
+ Revision: 470170
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.7.2-4mdv2010.0
+ Revision: 441351
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-3mdv2009.1
+ Revision: 322274
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-2mdv2009.0
+ Revision: 236910
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.7.2-1mdv2008.1
+ Revision: 136411
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.7.2-1mdv2008.0
+ Revision: 15691
- 0.7.2


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-1mdv2007.0
+ Revision: 81999
- Import php-pear-MDB2_Schema

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.5.0-1mdk
- 0.5.0

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.4.3-1mdk
- 0.4.3
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.0-1mdk
- initial Mandriva package (PLD import)

